/* 
 * Copyright (c) 2002 The University of Wroclaw.
 * All rights reserved. See file COPYRIGHT for details about licensing.
 *
 * $Id: slist.gi,v 1.1 2002/02/18 11:28:23 malekith Exp $
 *
 * Standard library for Gont, Slist module implementation.
 */

opt_struct <'a>t {
	<'a>t next;
	'a data;
}

int length(<'a>t l);
void iter(*('a) -> void f, <'a>t l);
<'b>t map(*('a) -> 'b f, <'a>t l);
<'a>t concat(<'a>t x, <'a>t y);
<'a>t filter(*('a) -> bool f, <'a>t l);
'a fold_left(*('a, 'b) -> 'a f, 'a init, <'b>t li);
<'a>t qsort(*('a, 'a) -> int cmp, <'a>t l);

/* EOF */
